package com.uas.platform.b2b.support;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 系统运行参数
 * 
 * <pre>
 * 通过属性文件注入
 * </pre>
 * 
 * @author yingp
 *
 */
@Component
public class SysConf {

	@Value("#{sys.b2b}")
	private String b2b;

	@Value("#{sys.manage}")
	private String manage;

	@Value("#{sys.manageInner}")
	private String manageInner;

	@Value("#{sys.im}")
	private String im;

	/**
	 * b2c路径
	 */
	@Value("#{sys.b2c}")
	private String b2c;

	/**
	 * 打印服务的url
	 */
	@Value("#{sys.reportPrintUrl}")
	private String reportPrintUrl;

	/**
	 * 打印服务上传文件的url
	 */
	@Value("#{sys.reportUploadUrl}")
	private String reportUploadUrl;

    /**
     * 账户中心注册地址
     *
     * @return
     */
    @Value("#{sys.registerUrl}")
    private String registerUrl;

	/**
	 * 物料公共服务地址
	 *
	 * @return
	 */
	@Value("#{sys.productServiceUrl}")
	private String productServiceUrl;

	/**
	 * 公共询价服务地址
	 *
	 * @return
	 */
	@Value("#{sys.inquiryServiceUrl}")
	private String inquiryServiceUrl;

    public String getRegisterUrl() {
        return registerUrl;
    }

    public void setRegisterUrl(String registerUrl) {
        this.registerUrl = registerUrl;
    }

	public String getB2b() {
		return b2b;
	}

	public void setB2b(String b2b) {
		this.b2b = b2b;
	}

	public String getManage() {
		return manage;
	}

	public void setManage(String manage) {
		this.manage = manage;
	}

	public String getManageInner() {
		return manageInner;
	}

	public void setManageInner(String manageInner) {
		this.manageInner = manageInner;
	}

	public String getIm() {
		return im;
	}

	public void setIm(String im) {
		this.im = im;
	}

	public String getB2c() {
		return b2c;
	}

	public void setB2c(String b2c) {
		this.b2c = b2c;
	}

	public String getReportPrintUrl() {
		return reportPrintUrl;
	}

	public void setReportPrintUrl(String reportPrintUrl) {
		this.reportPrintUrl = reportPrintUrl;
	}

	public String getReportUploadUrl() {
		return reportUploadUrl;
	}

	public void setReportUploadUrl(String reportUploadUrl) {
		this.reportUploadUrl = reportUploadUrl;
	}

	public String getProductServiceUrl() {
		return productServiceUrl;
	}

	public void setProductServiceUrl(String productServiceUrl) {
		this.productServiceUrl = productServiceUrl;
	}

	public String getInquiryServiceUrl() {
		return inquiryServiceUrl;
	}

	public void setInquiryServiceUrl(String inquiryServiceUrl) {
		this.inquiryServiceUrl = inquiryServiceUrl;
	}
}
